html
{
    font-family: "Exo 2", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    min-width: 30vh;
}

h1, h2, h3, h4, h5
{
    padding: 0;
    margin: 0;
}

header
{
    min-width: 30vh;
    text-align: center;
    position: fixed;
    z-index: 999999;
    overflow: hidden;
}
textarea
{
    resize: none;
    font-family: "Exo 2", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
}

#headerTitle
{
    overflow: hidden;
}

main
{
    position: fixed;
    z-index: 0;
}

footer
{
    text-align: right;
    padding-right: 1vw;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    height: 5vh;
    z-index: 999999;
}

footer h5
{
    color: #6c91bb;
}

/* header elements */
#userArea,
#btn_logout,
#btn_notifications,
#btn_dashboard,
#btn_user,
#btn_user_inner,
#btn_user_inner img
{
    position: absolute;
}

#btn_user_inner
{
    font-size: 4vh;
    line-height: 6vh;
    top: 7%;
    left: 7%;
    height: 86%;
    width: 86%;
    border-radius: 50%;
}

#btn_user_inner img
{
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    border-radius: 50%;
}

#messageBox,
#errorBox
{
    display: none;
    position: fixed;
    z-index: 99999;
    box-shadow: .5vw 1vh 2vh .5vh black;
}

#messageBox h2
{
    text-align: center;
}

#errorBox h2
{
    text-align: center;
    color: orangered;
}

#btn_closeMsgBox,
#btn_closeErrBox
{
    position: absolute;
    text-align: center;
}

@media screen and (orientation: landscape)
{
    header
    {
        top: 0;
        left: 0;
        right: 0;
        height: 10vh;
        box-shadow: 0 1vh 2vh .5vh black;
    }

    #headerTitle
    {
        height: 10vh;
    }

    main
    {
        top: 10vh;
        left: 0;
        right: 0;
        bottom: 5vh;
    }

    footer
    {
        box-shadow: 0 -1vh 2vh .5vh black;
    }
    h1
    {
        font-size: 6vh;
        line-height: 10vh;
    }
    h2
    {
        font-size: 4vh;
        line-height: 6vh;
    }
    h3
    {
        font-size: 3vh;
        line-height: 5vh;
    }

    h4
    {
        font-size: 2vh;
        line-height: 5vh;
    }

    h5
    {
        font-size: 2vh;
        line-height: 5vh;
    }

    #userArea
    {
        top: 0;
        right: 0;
        width: 25vw;
        height: 10vh;
    }

    #btn_dashboard
    {
        top: 1vh;
        right: 19vh;
    }

    #btn_user
    {
        top: 1vh;
        right: 28vh;
    }

    #btn_logout
    {
        top: 1vh;
        right: 1vh;
    }

    #btn_notifications
    {
        top: 1vh;
        right: 10vh;
    }

    #messageBox,
    #errorBox
    {
        top: 28.5vh;
        bottom: 23.5vh;
        left: 30vw;
        right: 30vw;
    }

    #messageBox p,
    #errorBox p
    {
        margin: 0 1vw;
    }

    #btn_closeMsgBox,
    #btn_closeErrBox
    {
        bottom: 2vh;
        left: 12vw;
        right: 12vw;
    }

}

@media screen and (orientation: portrait)
{
    header
    {
        top: 0;
        left: 0;
        right: 0;
        height: 15vh;
    }

    #headerTitle
    {
        height: 5vh;
    }

    main
    {
        top: 15vh;
        left: 0;
        right: 0;
        bottom: 5vh;
    }

    h1
    {
        font-size: 3vh;
        line-height: 5vh;
    }

    h2
    {
        font-size: 2.5vh;
        line-height: 5vh;
    }
    h5
    {
        font-size: 2vh;
        line-height: 5vh;
    }

    #userArea
    {
        left: 50%;
        margin-left: -20vh;
        width: 40vh;
        height: 10vh;
    }

    #btn_dashboard
    {
        top: 1vh;
        right: 20vh;
    }

    #btn_user
    {
        top: 1vh;
        right: 30vh;
    }

    #btn_logout
    {
        top: 1vh;
        right: 0;
    }

    #btn_notifications
    {
        top: 1vh;
        right: 10vh;
    }


    #messageBox,
    #errorBox
    {
        top: 20vh;
        bottom: 20vh;
        left: 10vw;
        right: 10vw;
    }


    #messageBox p,
    #errorBox p
    {
        margin: 0 2vw;
    }

    #btn_closeMsgBox,
    #btn_closeErrBox
    {
        bottom: 2vh;
        left: 15vw;
        right: 15vw;
    }
}
